Package org.bukkit.event.entity

# Class EntityTargetEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityTargetEvent

All Implemented Interfaces:
  `Cancellable`

Direct Known Subclasses:
  `EntityTargetLivingEntityEvent`

public class EntityTargetEvent extends EntityEvent implements Cancellable
Called when a creature targets or untargets another entity

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`EntityTargetEvent.TargetReason`
An enum to specify the reason for the targeting

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityTargetEvent(@NotNull Entity entity, @Nullable Entity target, @NotNull EntityTargetEvent.TargetReason reason)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull EntityTargetEvent.TargetReason`
`getReason()`
Returns the reason for the targeting
`@Nullable Entity`
`getTarget()`
Get the entity that this is targeting.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setTarget(@Nullable Entity target)`
Set the entity that you want the mob to target instead.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityTargetEvent

public EntityTargetEvent(@NotNull @NotNull Entity entity, @Nullable @Nullable Entity target, @NotNull @NotNull EntityTargetEvent.TargetReason reason)

## Method Details

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getReason

@NotNull public @NotNull EntityTargetEvent.TargetReason getReason()
Returns the reason for the targeting

Returns:
  The reason

### getTarget

@Nullable public @Nullable Entity getTarget()
Get the entity that this is targeting.

This will be null in the case that the event is called when the mob forgets its target.

Returns:
  The entity

### setTarget

public void setTarget(@Nullable @Nullable Entity target)
Set the entity that you want the mob to target instead.

It is possible to be null, null will cause the entity to be target-less.

This is different from cancelling the event. Cancelling the event will cause the entity to keep an original target, while setting to be null will cause the entity to be reset.

Parameters:
  `target` - The entity to target

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()